package com.hexace.editor.controller
{
    import com.hexace.editor.events.ModuleEvent;
    import com.hexace.editor.model.FunctionalityModel;
    import com.hexace.editor.model.ModuleModel;
    import org.robotlegs.mvcs.Command;

    public class DeleteModuleCommand extends Command
    {
        [Inject]
        public var functionalityModel:FunctionalityModel;

        [Inject]
        public var moduleEvent:ModuleEvent;

        [Inject]
        public var moduleModel:ModuleModel;

        override public function execute():void
        {
            trace("DeleteModuleCommand.execute() " + moduleEvent.module.id);
            moduleModel.deleteModule(moduleEvent.module);
            functionalityModel.deleteFunctionality(moduleEvent.module.id);
        }
    }
}
