package com.hexace.editor.controller
{
	import com.hexace.editor.events.ModuleEvent;
	import com.hexace.editor.model.FunctionalityModel;
	import com.hexace.editor.model.ModuleModel;
	
	import org.robotlegs.mvcs.Command;
	
	public class LoadModuleDetailsCommand extends Command
	{
		[Inject]
		public var moduleEvent:ModuleEvent;
		
		[Inject]
		public var moduleModel:ModuleModel;
		
		[Inject]
		public var functionalityModel:FunctionalityModel;
		
		override public function execute():void
		{
			trace("LoadModuleDetails.execute() "+moduleEvent.module.id);
			moduleModel.selectModule(moduleEvent.module);
			functionalityModel.getModuleFunctionalities(moduleEvent.module.id);			
		}
	}
}