package com.hexace.editor.controller
{
	import com.hexace.editor.events.ServiceRequestEvent;
	import com.hexace.editor.services.ConfigService;
	
	import org.robotlegs.mvcs.Command;
	
	public class LoadXMLCommand extends Command
	{
		[Inject]
		public var serviceRequestEvent:ServiceRequestEvent;		
		
		[Inject]
		public var configService:ConfigService;
		
		override public function execute():void
		{
			trace("LoadXMLCommand.execute()");			
			configService.load(serviceRequestEvent.path);
		}
	}
}