package com.hexace.editor.events
{
	import com.hexace.editor.model.vo.functionality.Functionality;
	
	import flash.events.Event;
	
	import mx.collections.ArrayCollection;
	
	public class FunctionalityEvent extends Event
	{
		///////////// added by Ondina
		public static const FUNCTIONALITY_SELECTED:String = "functionalitySelected";
		public static const FUNCTIONALITY_ADDED:String = "functionalityAdded";
		public static const FUNCTIONALITY_DELETED:String = "functionalityDeleted";
		public static const FUNCTIONALITY_UPDATE:String = "functionalityUpdate";
		public static const FUNCTIONALITY_UPDATED:String = "functionalityUpdated";
		public static const FUNCTIONALITIES_LIST:String = "functionalitiesList";
		
		private var _functionalty:Functionality;
		private var _functionalitiesList:ArrayCollection;
		
		public function FunctionalityEvent(type:String, functionality:Functionality=null, functionalitiesList:ArrayCollection=null)
		{
			super(type);
			_functionalty = functionality;
			_functionalitiesList = functionalitiesList;
		}
		
		override public function clone():Event
		{
			var fe:FunctionalityEvent = new FunctionalityEvent(type, _functionalty, functionalitiesList);
			return fe;
		}
		
		public function get functionality():Functionality
		{
			return _functionalty;
		}
		
		public function get functionalitiesList():ArrayCollection
		{
			return _functionalitiesList;
		}
	}
}