package com.hexace.editor.events
{
	import flash.events.Event;
	
	public class ServiceRequestEvent extends Event
	{
		public static const LOAD_XML:String = "loadXML";
		public static const XML_LOADED:String = "XMLLoaded";
				
		private var _path:String;
		
		public function ServiceRequestEvent(type:String)
		{
			super(type);
		}
		
		override public function clone():Event
		{
			var ce:ServiceRequestEvent = new ServiceRequestEvent(type);
			ce.path = path;
			return ce;
		}	
		
		public function set path(v:String):void
		{
			_path = v;
		}
		
		public function get path():String
		{
			return _path;
		}
	}
}