package com.hexace.editor.model.vo.customer
{
	import com.hexace.editor.model.vo.VO;
	
	[Bindable]
	public class Customer extends VO
	{
		public function Customer(name:String, databaseName:String, databaseUser:String, databasePass:String, id:uint = 0)
		{
			super();
			
			this._name = name;
			this._databaseName = databaseName;
			this._databaseUser = databaseUser;
			this._databasePass = databasePass;
			this._id = id;
		}
		
		public function clone(newID:uint = 0):Customer
		{
			if(newID == 0)
				newID = _id;
			
			var customer:Customer = new Customer(_name, _databaseName, _databaseUser, _databasePass, newID);
			return customer;
		}
		
		private var _id:uint;
		public function get id():uint
		{
			return _id;
		}
		
		private var _name:String;
		public function set name(v:String):void
		{
			_name = v;
		}
		public function get name():String
		{
			return _name;
		}
		
		private var _databaseName:String;
		public function set databaseName(v:String):void
		{
			_databaseName = v;
		}
		public function get databaseName():String
		{
			return _databaseName;
		}
		
		private var _databaseUser:String;
		public function set databaseUser(v:String):void
		{
			_databaseUser = v;
		}
		public function get databaseUser():String
		{
			return _databaseUser;
		}
		
		private var _databasePass:String;
		public function set databasePass(v:String):void
		{
			_databasePass = v;
		}
		public function get databasePass():String
		{
			return _databasePass;
		}
	}
}